# React TS Boilerplate

## Technology Stack

- [Vite](https://vitejs.dev): Efficient build tool for modern browsers.
- [React](https://reactjs.org): JavaScript library for building user interfaces.
- [TypeScript](https://www.typescriptlang.org): Superset of JavaScript with static type-checking.
- [ReactRouter](https://reactrouter.com/docs/en/v6): Navigation library for React applications.
- [TailwindCss](https://tailwindcss.com/): Utility-first CSS framework for creating custom designs.
- [Axios](https://axios-http.com/): Promise-based HTTP client for the browser and Node.js.
- [Ramda](https://ramdajs.com/): Functional programming library for JavaScript.
- [ahooks](https://ahooks.js.org/): Collection of React Hooks for common tasks.

## Quick Start

Install project dependencies

```
yarn install
```

Launch the app, it will become available at [http://localhost:3000](http://localhost:3000/)

```
yarn dev
```

## Project Standards

- xxx
- xxx
- xxx

## Directory Structure

`├──`[`.vscode`](.vscode) — VSCode settings including code snippets, recommended extensions etc<br>
`├──`[`public`](./public) — Static assets such as robots.txt, index.html etc<br>
`├──`[`src/assets`](./src/assets) — Static assets<br>
`├──`[`src/components`](./src/components) — React public components<br>
`├──`[`src/hooks`](./src/hooks) — React public hooks<br>
`├──`[`src/pages`](./src/pages) — Application and page (screen) components<br>
`├──`[`src/routes`](./src/routes) — Application routes components<br>
`├──`[`src/theme`](./src/services) — External connection service<br>
`├──`[`src/utils`](./src/utils) — Utility functions<br>

## Recommended VSCode Extensions

- [Tailwind CSS IntelliSense](https://marketplace.visualstudio.com/items?itemName=bradlc.vscode-tailwindcss): IntelliSense for Tailwind CSS.
- [Prettier - Code formatter](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode&ssr=false#overview): Code formatting tool.
- [EditorConfig for VS Code](https://marketplace.visualstudio.com/items?itemName=EditorConfig.EditorConfig): Editor configuration consistency.

## Coding Conventions

- Check [here](https://github.com/sj-distributor/react-coding-conventions).
